From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/digitemp/
Date: Mon, 19 Apr 2021 04:31:28 +0000 (UTC) [thread overview]
Message-ID: <1618806659.6ec9dad231bd86a6febc4c318724c7b1920dcf63.sam@gentoo> (raw)
commit: 6ec9dad231bd86a6febc4c318724c7b1920dcf63
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 19 04:29:28 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 19 04:30:59 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ec9dad2
app-misc/digitemp: port to EAPI 7
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-misc/digitemp/digitemp-3.7.1.ebuild | 28 +++++++++++++++-------------
1 file changed, 15 insertions(+), 13 deletions(-)
diff --git a/app-misc/digitemp/digitemp-3.7.1.ebuild b/app-misc/digitemp/digitemp-3.7.1.ebuild
index 01e1ebe0ca3..65431c4aae4 100644
--- a/app-misc/digitemp/digitemp-3.7.1.ebuild
+++ b/app-misc/digitemp/digitemp-3.7.1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
inherit toolchain-funcs
@@ -9,10 +9,10 @@ DESCRIPTION="Temperature logging and reporting using Maxim's iButtons and 1-Wire
HOMEPAGE="https://www.digitemp.com/ https://www.ibutton.com/"
SRC_URI="https://github.com/bcl/digitemp/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-IUSE="ds9097 ds9097u ds2490"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="amd64 x86"
+IUSE="ds9097 ds9097u ds2490"
DEPEND="ds2490? ( virtual/libusb:0 )"
@@ -21,6 +21,7 @@ targets() {
if ! ( use ds9097 || use ds9097u || use ds2490 ); then
echo ds9097u
fi
+
for target in ds9097 ds9097u ds2490; do
if use ${target}; then
echo ${target}
@@ -29,8 +30,13 @@ targets() {
}
src_prepare() {
- sed -i -e "/^CFLAGS/s:-O2:${CFLAGS}:" \
- -e "/^LIBS/s:=:= ${LDFLAGS}:" Makefile
+ default
+
+ sed -i \
+ -e "/^CFLAGS/s:-O2:${CFLAGS}:" \
+ -e "/^LIBS/s:=:= ${LDFLAGS}:" \
+ Makefile || die
+
# default is to compile to the ds9097u.
if ! ( use ds9097 || use ds9097u || use ds2490 ); then
ewarn "If you don't choose a component to install, we default to ds9097u"
@@ -40,9 +46,9 @@ src_prepare() {
src_compile() {
local targets=$(targets)
- for target in $targets; do
+ for target in ${targets}; do
emake clean
- emake CC="$(tc-getCC)" LOCK="no" ${target}
+ emake CC="$(tc-getCC)" LOCK="no" ${target}
done
}
@@ -53,23 +59,19 @@ src_install() {
done
if [[ $(targets|wc -l) -ge 1 ]]; then
- echo
ewarn "/usr/bin/digitemp has been symlinked to /usr/bin/digitemp_${target}"
ewarn "If you want to access the others, they are available at /usr/bin/digitemp_*"
- echo
fi
dodoc README FAQ TODO
for example in perl python rrdb; do
- insinto "/usr/share/doc/${PF}/${example}_examples"
- doins -r ${example}/*
+ docinto ${example}_examples
+ dodoc -r ${example}/*
done
}
pkg_postinst() {
- echo
elog "Examples of using digitemp with python, perl, and rrdtool are"
elog "located in /usr/share/doc/${PF}/"
- echo
}
next reply other threads:[~2021-04-19 4:31 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-04-19 4:31 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-01-12 14:48 [gentoo-commits] repo/gentoo:master commit in: app-misc/digitemp/ Florian Schmaus
2019-02-20 21:40 Pacho Ramos
2019-02-20 13:16 Mikle Kolyada
2018-06-02 22:38 Aaron Bauman
2016-01-27 13:26 Wolfram Schlich
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1618806659.6ec9dad231bd86a6febc4c318724c7b1920dcf63.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox